Index: /trunk/import/pp_gebiete.sql
===================================================================
--- /trunk/import/pp_gebiete.sql	(revision 354)
+++ /trunk/import/pp_gebiete.sql	(revision 354)
@@ -0,0 +1,200 @@
+
+-- ALKIS PostNAS 0.8
+
+-- Post Processing (pp_) Teil 2 B: Laden der Tabellen fÃŒr Gebiete
+
+-- Stand 
+--  2015-10-27 Die Erzeugung der vereinfachten Geometrie von Gemeinde, Gemarkung und Flur
+--             wird von "pp_laden.sql" ausgegliedert in dies Script "pp_gebiete.sql".
+--             Dieses Script braucht NICHT nach jeder Aktualisierung der Datenbank laufen.
+
+-- Geometrie glÃ€tten und vereinfachen fÃŒr Flur, Gemarkung und Gemeinde:
+-- Die "simplen" Geometrien sollen nur fÃŒr die Darstellung einer Ãbersicht verwendet werden.
+-- Ablage der simplen Geometrie in einem alternativen Geometriefeld im gleichen Datensatz.
+
+SET client_encoding = 'UTF-8';
+
+-- Tabellen fuer die Zuordnung vom Gemarkungen zu Gemeinden
+-- ========================================================
+
+-- FÃŒr die Regelung der Zugriffsberechtigung einer Gemeindeverwaltung auf die 
+-- FlurstÃŒcke in ihrem Gebiet braucht man die Information, in welcher Gemeinde eine Gemarkung liegt.
+-- 'ax_gemeinde' und 'ax_gemarkung' haben aber im ALKIS keinerlei Beziehung zueinander - kaum zu glauben!
+-- Nur ÃŒber die Auswertung der FlurstÃŒcke kann man die Zuordnung ermitteln.
+-- Da nicht stÃ€ndig mit 'SELECT DISTINCT' sÃ€mtliche FlurstÃŒcke durchsucht werden kÃ¶nnen, 
+-- muss diese Information als (redundante) Tabelle nach dem Laden zwischengespeichert werden. 
+
+
+-- G E M A R K U N G
+
+TRUNCATE pp_gemarkung;
+-- Vorkommende Paarungen Gemarkung <-> Gemeinde in ax_Flurstueck
+INSERT INTO pp_gemarkung
+  (               land, regierungsbezirk, kreis, gemeinde, gemarkung       )
+  SELECT DISTINCT land, regierungsbezirk, kreis, gemeinde, gemarkungsnummer
+  FROM            ax_flurstueck
+  WHERE           endet IS NULL
+  ORDER BY        land, regierungsbezirk, kreis, gemeinde, gemarkungsnummer ;
+
+-- Namen der Gemarkung dazu als Optimierung bei der Auskunft 
+UPDATE pp_gemarkung a
+   SET gemarkungsname =
+   ( SELECT b.bezeichnung 
+     FROM    ax_gemarkung b
+     WHERE a.land=b.land 
+       AND a.gemarkung=b.gemarkungsnummer
+       AND b.endet IS NULL
+   );
+
+
+-- G E M E I N D E
+
+TRUNCATE pp_gemeinde;
+-- Vorkommende Gemeinden aus den Gemarkungen
+INSERT INTO pp_gemeinde
+  (               land, regierungsbezirk, kreis, gemeinde)
+  SELECT DISTINCT land, regierungsbezirk, kreis, gemeinde
+  FROM            pp_gemarkung
+  ORDER BY        land, regierungsbezirk, kreis, gemeinde;
+
+-- Namen der Gemeinde dazu als Optimierung bei der Auskunft 
+UPDATE pp_gemeinde a
+   SET gemeindename =
+   ( SELECT b.bezeichnung 
+     FROM    ax_gemeinde b
+     WHERE a.land=b.land 
+       AND a.regierungsbezirk=b.regierungsbezirk 
+       AND a.kreis=b.kreis
+       AND a.gemeinde=b.gemeinde
+       AND b.endet IS NULL
+   );
+
+
+-- Geometrien der FlurstÃŒcke schrittweise zu groesseren Einheiten zusammen fassen
+-- ==============================================================================
+-- http://postgis.net/docs/manual-1.5/ST_Union.html (Aggregate version)
+-- http://postgis.net/docs/manual-1.5/ST_Collect.html
+
+-- Wenn ein Gebiet durch geometrische Filter im NBA-Verfahren ausgegeben wurde, dann gibt es 
+-- Randstreifen, die zu Pseudo-Fluren zusammen gefasst werden. 
+-- Diese werden fÃŒr den WMS durch einen View ausgefiltert, der nur eine Gemeinde darstellt.
+
+-- AusfÃŒhrungszeit: 1 mittlere Stadt mit ca. 14.000 FlurstÃŒcken > 100 Sek
+
+TRUNCATE pp_flur;
+
+INSERT INTO pp_flur (land, regierungsbezirk, kreis, gemeinde, gemarkung, flurnummer, anz_fs, the_geom )
+   SELECT  f.land, f.regierungsbezirk, f.kreis, f.gemeinde, f.gemarkungsnummer as gemarkung, f.flurnummer, 
+           count(gml_id) as anz_fs,
+           ST_Multi(st_union(st_buffer(f.wkb_geometry,0.06))) AS the_geom -- Zugabe um ZwischenrÃ€ume zu vermeiden
+     FROM  ax_flurstueck f
+     WHERE f.endet IS NULL AND NOT f.wkb_geometry IS NULL
+  GROUP BY f.land, f.regierungsbezirk, f.kreis, f.gemeinde, f.gemarkungsnummer, f.flurnummer;
+
+-- Vereinfachte Geometrie der Flur fÃŒr die Darstelung im WMS in einem kleinen MaÃstab
+UPDATE pp_flur      SET simple_geom = st_simplify(the_geom, 0.5);
+
+
+-- Fluren zu Gemarkungen zusammen fassen
+-- -------------------------------------
+
+-- FlÃ€chen vereinigen
+UPDATE pp_gemarkung a
+  SET the_geom = 
+   ( SELECT ST_Multi(ST_Union(ST_Buffer(b.the_geom,0.15))) AS the_geom -- Puffer/Zugabe um LÃ¶cher zu vermeiden
+       FROM pp_flur b
+      WHERE a.land      = b.land 
+        AND a.gemarkung = b.gemarkung
+   );
+-- Hierbei kÃ¶nnen Exceptions auftreten wobei das Geometriefeld einzelner Gemarkungen leer bleibt.
+-- Die Ursache ist unklar.
+--  TopologyException: found non-noded intersection between LINESTRING
+
+-- Praktische LÃ¶sung:
+-- Bei den Gemarkungen, die nichts abbekommen haben, mit schrittweise groesserem Buffer noch mal versuchen.
+UPDATE pp_gemarkung a
+  SET the_geom = 
+   ( SELECT ST_Multi(ST_Union(ST_Buffer(b.the_geom,0.20))) AS the_geom -- Puffer vergroessert
+       FROM pp_flur b
+      WHERE a.land      = b.land 
+        AND a.gemarkung = b.gemarkung
+   ) WHERE the_geom IS NULL;
+
+UPDATE pp_gemarkung a
+  SET the_geom = 
+   ( SELECT ST_Multi(ST_Union(ST_Buffer(b.the_geom,0.30))) AS the_geom -- Puffer vergroessert
+       FROM pp_flur b
+      WHERE a.land      = b.land 
+        AND a.gemarkung = b.gemarkung
+   ) WHERE the_geom IS NULL;
+
+/* Guggst du (auf leeren Geometry-Typ achten:
+
+   SELECT gemarkungsname, geometrytype(the_geom) AS typ, 
+     st_isvalid(the_geom) AS vali, st_asewkt(the_geom) AS ewkt
+   FROM pp_gemarkung;
+
+*/
+
+-- Die Fluren in der Gemarkung zaehlen
+UPDATE pp_gemarkung a
+  SET anz_flur = 
+   ( SELECT count(flurnummer) AS anz_flur 
+     FROM    pp_flur b
+     WHERE a.land      = b.land 
+       AND a.gemarkung = b.gemarkung
+   ); -- Gemarkungsnummer ist je BundesLand eindeutig
+
+
+-- Vereinfachte Geometrie der Gemarkung fÃŒr die Darstellung im WMS in einem kleinen MaÃstab
+-- Gemarkung (Wirkung siehe pp_gemarkung_analyse)
+UPDATE pp_gemarkung SET simple_geom = st_simplify(the_geom, 2.2); 
+
+
+-- Gemarkungen zu Gemeinden zusammen fassen
+-- ----------------------------------------
+
+-- FlÃ€chen vereinigen
+UPDATE pp_gemeinde a
+  SET the_geom = 
+   ( SELECT st_multi(st_union(st_buffer(b.the_geom,0.2))) AS the_geom -- noch mal Zugabe
+     FROM    pp_gemarkung b
+     WHERE a.land     = b.land 
+       AND a.gemeinde = b.gemeinde
+   );
+-- Hierbei kÃ¶nnen Exceptions auftreten wobei das Geometriefeld einzelner Gemarkungen leer bleibt.
+-- Die Ursache ist unklar.
+
+-- Praktische LÃ¶sung:
+-- weitere Versuche mit mehr Puffer, wenn Exception auftrat
+UPDATE pp_gemeinde a
+  SET the_geom = 
+   ( SELECT st_multi(st_union(st_buffer(b.the_geom,0.3))) AS the_geom -- MEHR Zugabe
+     FROM    pp_gemarkung b
+     WHERE a.land     = b.land 
+       AND a.gemeinde = b.gemeinde
+   ) WHERE the_geom IS NULL;
+
+UPDATE pp_gemeinde a
+  SET the_geom = 
+   ( SELECT st_multi(st_union(st_buffer(b.the_geom,0.4))) AS the_geom -- noch MEHR Zugabe
+     FROM    pp_gemarkung b
+     WHERE a.land     = b.land 
+       AND a.gemeinde = b.gemeinde
+   ) WHERE the_geom IS NULL;
+
+
+-- Vereinfachte Geometrie der Gemeinde fÃŒr die Darstellung im WMS in einem kleinen MaÃstab
+-- Gemeinde (Wirkung siehe pp_gemeinde_analyse)
+UPDATE pp_gemeinde  SET simple_geom = st_simplify(the_geom, 5.0); 
+
+-- Gemarkungen in der Gemeinde zÃ€hlen
+UPDATE pp_gemeinde a
+  SET anz_gemarkg = 
+   ( SELECT count(gemarkung) AS anz_gemarkg 
+     FROM    pp_gemarkung b
+     WHERE a.land     = b.land 
+       AND a.gemeinde = b.gemeinde
+   );
+
+-- ENDE --
Index: /trunk/import/pp_laden.sql
===================================================================
--- /trunk/import/pp_laden.sql	(revision 353)
+++ /trunk/import/pp_laden.sql	(revision 354)
@@ -2,5 +2,5 @@
 -- ALKIS PostNAS 0.8
 
--- Post Processing (pp_) Teil 2: Laden der Tabellen
+-- Post Processing (pp_) Teil 2 A: Laden der Tabellen
 
 -- Stand 
@@ -25,4 +25,8 @@
 --  2014-12-17 Neue Spalte "gemeinde" in Tabelle "pp_flur", dient der Filterung im WMS-Layer "Gebiete"
 --  2015-01-08 Mehrfach-Versuche der Geometrie-Zusammenfassung mit wachsender PuffergrÃ¶Ãe.
+--  2015-10-27 Die Erzeugung der vereinfachten Geometrie von Gemeinde, Gemarkung und Flur
+--             wird ausgegliedert in das Script "pp_gebiete.sql".
+--             Dies Script sollte nach jeder Aktualisierung der Datebnek laufen.
+--             Die Erzeugung neuer Ãbersichten der Gebiete ist nur gelegendlich notwendig.
 
 
@@ -53,29 +57,4 @@
 
 TRUNCATE pp_flurstueck_nr;  -- effektiver als DELETE
-
-/* 
--- Alte Version ÃŒber "alkis_beziehungen"
--- AusfÃŒhrung: mittlere Stadt: ca. 4 - 18 Sec.
-
--- 1:1 umgestellt (UNION) unter Verwendeung der neuen Relationenspalten
-
-INSERT INTO pp_flurstueck_nr
-          ( fsgml, fsnum, the_geom )
-    SELECT f.gml_id,
-           f.zaehler::text || COALESCE ('/' || f.nenner::text, '') AS fsnum,
-           p.wkb_geometry  -- manuelle Position des Textes
-      FROM ax_flurstueck  f 
-      JOIN ap_pto         p
-        ON f.gml_id = ANY(p.dientzurdarstellungvon)
-     WHERE f.endet IS NULL AND p.endet IS NULL -- AND p."art" = 'ZAE_NEN'
-   UNION 
-    SELECT f.gml_id,
-           f.zaehler::text || COALESCE ('/' || f.nenner::text, '') AS fsnum,
-           ST_PointOnSurface(f.wkb_geometry) AS wkb_geometry  -- Flaechenmitte als Position des Textes
-      FROM ax_flurstueck  f 
-      LEFT JOIN ap_pto    p
-        ON f.gml_id = ANY(p.dientzurdarstellungvon)  -- kein PrÃ€sentationsobjekt vorhanden
-     WHERE p.gml_id is NULL AND f.endet IS NULL ;
-*/
 
 -- Ersatz: FÃŒllen in 3 Schritten
@@ -179,189 +158,4 @@
 DELETE FROM pp_strassenname_l WHERE schriftinhalt IS NULL;
 
-
--- Tabellen fuer die Zuordnung vom Gemarkungen zu Gemeinden
--- ========================================================
-
--- FÃŒr die Regelung der Zugriffsberechtigung einer Gemeindeverwaltung auf die 
--- FlurstÃŒcke in ihrem Gebiet braucht man die Information, in welcher Gemeinde eine Gemarkung liegt.
--- 'ax_gemeinde' und 'ax_gemarkung' haben aber im ALKIS keinerlei Beziehung zueinander - kaum zu glauben!
--- Nur ÃŒber die Auswertung der FlurstÃŒcke kann man die Zuordnung ermitteln.
--- Da nicht stÃ€ndig mit 'SELECT DISTINCT' sÃ€mtliche FlurstÃŒcke durchsucht werden kÃ¶nnen, 
--- muss diese Information als (redundante) Tabelle nach dem Laden zwischengespeichert werden. 
-
-
--- G E M A R K U N G
-
-TRUNCATE pp_gemarkung;
--- Vorkommende Paarungen Gemarkung <-> Gemeinde in ax_Flurstueck
-INSERT INTO pp_gemarkung
-  (               land, regierungsbezirk, kreis, gemeinde, gemarkung       )
-  SELECT DISTINCT land, regierungsbezirk, kreis, gemeinde, gemarkungsnummer
-  FROM            ax_flurstueck
-  WHERE           endet IS NULL
-  ORDER BY        land, regierungsbezirk, kreis, gemeinde, gemarkungsnummer ;
-
--- Namen der Gemarkung dazu als Optimierung bei der Auskunft 
-UPDATE pp_gemarkung a
-   SET gemarkungsname =
-   ( SELECT b.bezeichnung 
-     FROM    ax_gemarkung b
-     WHERE a.land=b.land 
-       AND a.gemarkung=b.gemarkungsnummer
-       AND b.endet IS NULL
-   );
-
-
--- G E M E I N D E
-
-TRUNCATE pp_gemeinde;
--- Vorkommende Gemeinden aus den Gemarkungen
-INSERT INTO pp_gemeinde
-  (               land, regierungsbezirk, kreis, gemeinde)
-  SELECT DISTINCT land, regierungsbezirk, kreis, gemeinde
-  FROM            pp_gemarkung
-  ORDER BY        land, regierungsbezirk, kreis, gemeinde;
-
--- Namen der Gemeinde dazu als Optimierung bei der Auskunft 
-UPDATE pp_gemeinde a
-   SET gemeindename =
-   ( SELECT b.bezeichnung 
-     FROM    ax_gemeinde b
-     WHERE a.land=b.land 
-       AND a.regierungsbezirk=b.regierungsbezirk 
-       AND a.kreis=b.kreis
-       AND a.gemeinde=b.gemeinde
-       AND b.endet IS NULL
-   );
-
-
--- Geometrien der FlurstÃŒcke schrittweise zu groesseren Einheiten zusammen fassen
--- ==============================================================================
--- http://postgis.net/docs/manual-1.5/ST_Union.html (Aggregate version)
--- http://postgis.net/docs/manual-1.5/ST_Collect.html
-
--- Wenn ein Gebiet durch geometrische Filter im NBA-Verfahren ausgegeben wurde, dann gibt es 
--- Randstreifen, die zu Pseudo-Fluren zusammen gefasst werden. 
--- Diese werden fÃŒr den WMS durch einen View ausgefiltert, der nur eine Gemeinde darstellt.
-
--- AusfÃŒhrungszeit: 1 mittlere Stadt mit ca. 14.000 FlurstÃŒcken > 100 Sek
-
-TRUNCATE pp_flur;
-
-INSERT INTO pp_flur (land, regierungsbezirk, kreis, gemeinde, gemarkung, flurnummer, anz_fs, the_geom )
-   SELECT  f.land, f.regierungsbezirk, f.kreis, f.gemeinde, f.gemarkungsnummer as gemarkung, f.flurnummer, 
-           count(gml_id) as anz_fs,
-           ST_Multi(st_union(st_buffer(f.wkb_geometry,0.06))) AS the_geom -- Zugabe um ZwischenrÃ€ume zu vermeiden
-     FROM  ax_flurstueck f
-     WHERE f.endet IS NULL AND NOT f.wkb_geometry IS NULL
-  GROUP BY f.land, f.regierungsbezirk, f.kreis, f.gemeinde, f.gemarkungsnummer, f.flurnummer;
-
--- Vereinfachte Geometrie der Flur fÃŒr die Darstelung im WMS in einem kleinen MaÃstab
-UPDATE pp_flur      SET simple_geom = st_simplify(the_geom, 0.5);
-
-
--- Fluren zu Gemarkungen zusammen fassen
--- -------------------------------------
-
--- FlÃ€chen vereinigen
-UPDATE pp_gemarkung a
-  SET the_geom = 
-   ( SELECT ST_Multi(ST_Union(ST_Buffer(b.the_geom,0.15))) AS the_geom -- Puffer/Zugabe um LÃ¶cher zu vermeiden
-       FROM pp_flur b
-      WHERE a.land      = b.land 
-        AND a.gemarkung = b.gemarkung
-   );
--- Hierbei kÃ¶nnen Exceptions auftreten wobei das Geometriefeld einzelner Gemarkungen leer bleibt.
--- Die Ursache ist unklar.
---  TopologyException: found non-noded intersection between LINESTRING
-
--- Praktische LÃ¶sung:
--- Bei den Gemarkungen, die nichts abbekommen haben, mit schrittweise groesserem Buffer noch mal versuchen.
-UPDATE pp_gemarkung a
-  SET the_geom = 
-   ( SELECT ST_Multi(ST_Union(ST_Buffer(b.the_geom,0.20))) AS the_geom -- Puffer vergroessert
-       FROM pp_flur b
-      WHERE a.land      = b.land 
-        AND a.gemarkung = b.gemarkung
-   ) WHERE the_geom IS NULL;
-
-UPDATE pp_gemarkung a
-  SET the_geom = 
-   ( SELECT ST_Multi(ST_Union(ST_Buffer(b.the_geom,0.30))) AS the_geom -- Puffer vergroessert
-       FROM pp_flur b
-      WHERE a.land      = b.land 
-        AND a.gemarkung = b.gemarkung
-   ) WHERE the_geom IS NULL;
-
-/* Guggst du (auf leeren Geometry-Typ achten:
-
-   SELECT gemarkungsname, geometrytype(the_geom) AS typ, 
-     st_isvalid(the_geom) AS vali, st_asewkt(the_geom) AS ewkt
-   FROM pp_gemarkung;
-
-*/
-
--- Die Fluren in der Gemarkung zaehlen
-UPDATE pp_gemarkung a
-  SET anz_flur = 
-   ( SELECT count(flurnummer) AS anz_flur 
-     FROM    pp_flur b
-     WHERE a.land      = b.land 
-       AND a.gemarkung = b.gemarkung
-   ); -- Gemarkungsnummer ist je BundesLand eindeutig
-
-
--- Vereinfachte Geometrie der Gemarkung fÃŒr die Darstellung im WMS in einem kleinen MaÃstab
--- Gemarkung (Wirkung siehe pp_gemarkung_analyse)
-UPDATE pp_gemarkung SET simple_geom = st_simplify(the_geom, 2.2); 
-
-
--- Gemarkungen zu Gemeinden zusammen fassen
--- ----------------------------------------
-
--- FlÃ€chen vereinigen
-UPDATE pp_gemeinde a
-  SET the_geom = 
-   ( SELECT st_multi(st_union(st_buffer(b.the_geom,0.2))) AS the_geom -- noch mal Zugabe
-     FROM    pp_gemarkung b
-     WHERE a.land     = b.land 
-       AND a.gemeinde = b.gemeinde
-   );
--- Hierbei kÃ¶nnen Exceptions auftreten wobei das Geometriefeld einzelner Gemarkungen leer bleibt.
--- Die Ursache ist unklar.
-
--- Praktische LÃ¶sung:
--- weitere Versuche mit mehr Puffer, wenn Exception auftrat
-UPDATE pp_gemeinde a
-  SET the_geom = 
-   ( SELECT st_multi(st_union(st_buffer(b.the_geom,0.3))) AS the_geom -- MEHR Zugabe
-     FROM    pp_gemarkung b
-     WHERE a.land     = b.land 
-       AND a.gemeinde = b.gemeinde
-   ) WHERE the_geom IS NULL;
-
-UPDATE pp_gemeinde a
-  SET the_geom = 
-   ( SELECT st_multi(st_union(st_buffer(b.the_geom,0.4))) AS the_geom -- noch MEHR Zugabe
-     FROM    pp_gemarkung b
-     WHERE a.land     = b.land 
-       AND a.gemeinde = b.gemeinde
-   ) WHERE the_geom IS NULL;
-
-
--- Vereinfachte Geometrie der Gemeinde fÃŒr die Darstellung im WMS in einem kleinen MaÃstab
--- Gemeinde (Wirkung siehe pp_gemeinde_analyse)
-UPDATE pp_gemeinde  SET simple_geom = st_simplify(the_geom, 5.0); 
-
--- Gemarkungen in der Gemeinde zÃ€hlen
-UPDATE pp_gemeinde a
-  SET anz_gemarkg = 
-   ( SELECT count(gemarkung) AS anz_gemarkg 
-     FROM    pp_gemarkung b
-     WHERE a.land     = b.land 
-       AND a.gemeinde = b.gemeinde
-   );
-
-
 -- Tabelle fuer die Zuordnung vom EigentÃŒmern zu Gemeinden
 -- =======================================================
Index: /trunk/import/konv_batch.sh
===================================================================
--- /trunk/import/konv_batch.sh	(revision 353)
+++ /trunk/import/konv_batch.sh	(revision 354)
@@ -1,4 +1,5 @@
 #!/bin/bash
 ## -------------------------------------------------
+## DB-Server - Produktion                          -
 ## Konvertierung von ALKIS NAS-Format nach PostGIS -
 ## NAS-Daten in einem Ordner konvertieren          -
@@ -8,6 +9,6 @@
 ## Ordner-Struktur:
 ##   /mandant/
-##           /0001/*.xml.zip
-##           /0002/*.xml.zip
+##           /01/*.xml.zip
+##           /02/*.xml.zip
 ##          usw.
 ##           /temp/
@@ -19,66 +20,63 @@
 ##
 ## Stand: 
-##   2012-02-10 Umbennung nach 0.7
-##   2012-02-17 Optimierung
-##   2012-02-28 Neuer Parameter 4 um Post-Prozessing zu unterdruecken
-##   2012-04-25 Durch GDAL Patch #5444 werden die Loeschungen als Trigger auf Tabelle 'delete' verarbeitet
-##   2012-05-18 Umzug neue GDI, GDAL-Trunk unter Pfad 
 ##   2012-06-04 SQL-Skripte in deren Verzeichnis ausfuehren (Voraussetzung fuer \i Includes)
-##   2012-10-30 Umgebungsvariable setzen, delete-Tabelle am Ende fuer Analyse gefuellt lassen.
-##              Test als 0.7a mit gepatchter gdal-Version (noch 2.0dev)
-##   2013-10-16 F.J. krz: Neues Script "pp_praesentation_action.sql" fÃŒr Reparatur der 
-##              PrÃ€sentationsobjekte StraÃenname im Post-Processing
-##   2013-10-24 F.J. krz: ZwischenlÃ¶sung "praesentation_action.sql" wieder deaktiviert.
 ##   2014-01-31 F.J. krz: Import Eintrag erzeugen (nach Vorschlag Marvin Brandt, Unna)
 ##   2014-02-13 A.Emde WhereGroup: EinfÃŒhrung DBUSER, damit im Skript der Datenbankbenutzer angegeben werden kann
-##   2014-05-12 F.J. krz: Unterschiedliche Pfade in Test (TRUNK) und Produktion (Rel. 1.11.0)
 ##   2014-06-18 F.J. DB-User nicht "postgres" (in $con). 
 ##                   Konverter ind Nacharbeiten sonst mit unterschiedlichem User.
-##                   Abgleich Test/Prod-Version.
 ##                   Entfernen der historischen Objekte nach Konvertierung.
-##   2014-09-09 F.J. krz: Parameter "--config PG_USE_COPY YES" zur Beschleunigung. Ausgabe import-Tabelle.
-##   2014-09-11 F.J. krz: Eintrag in import-Tabelle repariert.
-##                   Keine Abfrage des Symlinks auf kill/hist. Enstscheidend ist die aktuelle DB, nicht der Symlink
 ##   2014-09-23 F.J. krz: ZÃ€hlung der Funktionen in delete, dies in import-Tabelle eintragen (Metadaten)
-##   2015-02-17 F.J. krz: OGR_SKIP=GML ?
 ##   2015-03-16 F.J. krz: "-nlt CONVERT_TO_LINEAR" ersetzt "ST_CurvePolygon" nÃ€herungsweise durch "ST_Polygon"
 ##   2015-03-24 F.J. krz: export NAS_INDICATOR
+##   2015-05-26 F.J. krz: Pfad auf Version 1.11 geÃ€ndert (Parameter -append wird bei TRUNK 2.0 ignoriert)
+##                        Dazu "-nlt CONVERT_TO_LINEAR" vorÃŒbergehend deaktiviert (erst ab 2.0 notwendig)
+##                        gdal-Version in Import-Tabelle schreiben. Zwischenfrage vor Konvertierung.
+##                        DB-Dump vor Aktualisierungslauf, auf Nachfrage.
+##   2015-10-27 F.J. krz: Teile von "pp_laden.sql" ausgelegert nach "pp_gebiete.sql".
+##                        Dies wird bei Parameter "pp" (mit Post-Processing) nur beim Erstladen mit ausgefÃŒhrt.
+##                        Bei Aktualisierungen mÃŒssen die Gebiete (Ãbersichten) nicht jedes Mal neu generiert werden. 
 
 ## ToDo: 
-## - Vor der Konvertierung: Sicherung der DB als SQL-Dump
 ## - Unterscheidung e/a noch sinnvoll? Immer "a" = Aktualisierung = -update ?
 ## - PostProcessing: Aufruf Script, sonst redundant zu pflegen
 
-POSTNAS_HOME=$(dirname $0)
-
-# Konverterpfad. TRUNK-Version (immer letzter Stand der Entwicklung)
-PATH=/opt/gdal-2.0/bin:$PATH
-EPSG=25832
-DBUSER=b600352
-
-if [ $DBUSER == "" ]
-then
-  echo "kein DBUSER gesetzt"
-else
-  PGUSER=" -U ${DBUSER} "
-fi
-
-if [ $DBUSER == "" ]
-then
-  echo "kein DBUSER gesetzt"
-else
-  OGRPGUSER=" user=${DBUSER}"
-fi
+# Speicher-Ort dieses Scriptes legt den Pfad fuer Logging fest
+  POSTNAS_HOME=$(dirname $0)
+
+# Konverterpfad. 
+  # TRUNK-Version 2.0.0Beta1 (selbst gebaut)
+  # Dabei: "-nlt CONVERT_TO_LINEAR" verwenden
+# PATH=/opt/gdal-2.0/bin:$PATH
+
+  # Stabile-Version 1.11.2 (selbst gebaut)
+  # Dabei: "-nlt CONVERT_TO_LINEAR" NICHT verwenden
+  PATH=/opt/gdal-1.11/bin:$PATH
+
+# Konfiguration:
+  EPSG=25832
+  DBUSER=b600352
+
+  if [ $DBUSER == "" ]
+  then
+    echo "kein DBUSER gesetzt"
+  else
+    PGUSER=" -U ${DBUSER} "
+    OGRPGUSER=" user=${DBUSER}"
+  fi
  
-echo " 
+  echo " 
+ 
 **********************************************
 **   K o n v e r t i e r u n g     PostNAS  **
-**********************************************"
-## Parameter:
-ORDNER=$1
-DBNAME=$2
-UPD=$3
-PP=$4
-
+**********************************************
+ "
+
+# Aufruf-Parameter:
+  ORDNER=$1
+  DBNAME=$2
+  UPD=$3
+  PP=$4
+
+# Parameter plausibilisieren
 if [ $ORDNER == "" ]
 then
@@ -109,9 +107,9 @@
 if [ $PP == "nopp" ]
 then
-	echo "KEIN Post-Processing nach dieser Konvertierung."
+	echo "KEIN Post-Processing nach dieser Konvertierung"
 else
 	if [ $PP == "pp" ]
 	then
-		echo "normales Post-Processing."
+		echo "mit Post-Processing"
 	else
 		echo "FEHLER: Parameter 4 'Post-Proscessing' ist weder 'nopp' noch 'pp'"
@@ -120,33 +118,74 @@
 fi
 
+# DB-Connection (User, Port, Datenbank-Name)
+  con="${PGUSER} -p 5432 -d ${DBNAME} "
+
+# Anzeige Historie
+  echo "vorangegangene Konvertierung:"
+  psql $con -c "SELECT id, datum, verzeichnis, importart FROM import ORDER BY id DESC LIMIT 1;"
+
+# Anzeige Parameter
+  echo "Datenbank: ${DBNAME}"
+  echo "DBUSER: ${DBUSER}"
+ #echo "PGUSER: ${PGUSER}"
+ #echo "OGRPGUSER: ${OGRPGUSER}"
+  echo "Ordner NAS-Daten: ${ORDNER}"
+  echo "Verarbeitungs-Modus: ${verarb}"
+  echo "POSTNAS_HOME: ${POSTNAS_HOME}"
+  echo "Programm-Version: `ogr2ogr --version` "
+
+# Kontrolle der Parameter
+  echo " 
+  AbschlieÃende Bestaetigung:"
+  until [ "$JEIN" = "j" -o "$JEIN" = "n" ]
+  do
+    echo "Mit diesen Parametern konvertieren?  -  j oder n"
+    read JEIN
+  done
+  if test $JEIN != "j"
+  then
+    echo " ####  Abbruch"
+    exit 1
+  fi
+
 # Fehlerprotokoll:
   errprot=${POSTNAS_HOME}'/log/postnas_err_'$DBNAME'.prot'
-
   echo "GDAL/PostNAS Konverter-Version:" >> $errprot
   ogr2ogr --version >> $errprot
 
-# DB-Connection
-  con="${PGUSER} -p 5432 -d ${DBNAME} "
-  echo "Datenbank-Name . . = ${DBNAME}"
-  echo "DBUSER ${DBUSER}"
-  echo "PGUSER ${PGUSER}"
-  echo "OGRPGUSER ${OGRPGUSER}"
-  echo "Ordner NAS-Daten . = ${ORDNER}"
-  echo "Verarbeitungs-Modus= ${verarb}"
-  echo "POSTNAS_HOME ${POSTNAS_HOME}"
-
-  # noch alte delete-Eintraege?
-  echo "Leeren der delete-Tabelle"
+# Sicherung der Datenbank VOR der Aktualisierung
+  if [ $UPD == "a" ]
+  then
+
+    until [ "$DUMP" = "j" -o "$DUMP" = "n" ]
+    do
+      echo "Datenbank-Sicherung?  -  j oder n"
+      read DUMP
+    done
+
+    if test $DUMP = "j"
+    then
+      echo "DB Dump wird ausgefuehrt"
+      echo "Datenbank-Dump in /data/bkup/${DBNAME}_vor_update.sql.gz" >> $errprot
+      pg_dump -U ${DBUSER} -o -C ${DBNAME} | gzip > /data/bkup/${DBNAME}_vor_update.sql.gz
+      echo "DB Dump wurde ausgefuehrt"
+      sleep 1
+    fi
+  fi
+
+# Import Eintrag schreiben
+  # Urspruenglich wurde die Tabelle "import" fuer die Trigger-Steuerung benoetigt. 
+  # Nun als Metadaten zur Datenbank-Historie nuetzlich.
+  echo "INSERT INTO import (datum, verzeichnis, importart, gdalvers) 
+    VALUES ('"$(date '+%Y-%m-%d %H:%M:%S')"','"${ORDNER}"','"${verarb}"', '`ogr2ogr --version`');" | psql $con
+
+# Alte delete-Eintraege loeschen
+  # Beim Eintrag in die delete-Tabelle wird ein Trigger ausgeloest. 
+  # Danach werden die Eintraege nicht mehr benoetigt.
+  echo " 
+  Leeren der delete-Tabelle"
   psql $con -c 'TRUNCATE table "delete";'
 
-  #echo "Bisherige Konvertierungen (Import-Tabelle):"
-  #psql $con -c "SELECT * FROM import ORDER by id;"
-
-# Import Eintrag erzeugen
-# UrsprÃŒnglich fÃŒr Trigger-Steuerung benÃ¶tigt. Nun als Metadaten nÃŒtzlich.
-  echo "INSERT INTO import (datum,verzeichnis,importart) VALUES ('"$(date '+%Y-%m-%d %H:%M:%S')"','"${ORDNER}"','"${verarb}"');" | psql $con
-
 # Ordner abarbeiten
-
   cd ${ORDNER}
   rm ../temp/*.gfs
@@ -172,5 +211,5 @@
 	#	export OGR_SKIP=GML  	# NAS-Daten auch mit "falschen Header" nicht wie GML konvertieren - NEIN!
 								# http://lists.osgeo.org/pipermail/nas/2014-December/000740.html
-       #export CPL_DEBUG=ON                     # Meldung, wenn Attribute ueberschrieben werden
+       #export CPL_DEBUG=ON     # Meldung, wenn Attribute ueberschrieben werden
 
         # Headerkennungen die NAS-Daten identifizieren
@@ -179,6 +218,7 @@
       # PostNAS Konverter-Aufruf
       #   --config PG_USE_COPY YES
-      #   -nlt CONVERT_TO_LINEAR  # 2015-03-16 ersetzt "ST_CurvePolygon" nÃ€herungsweise durch "ST_Polygon" 
-      ogr2ogr -f "PostgreSQL" -append  ${update} -skipfailures  -nlt CONVERT_TO_LINEAR \
+      #   -nlt CONVERT_TO_LINEAR  # ersetzt "ST_CurvePolygon" nÃ€herungsweise durch "ST_Polygon", ab Vers. 2.0
+   #  ogr2ogr -f "PostgreSQL" -append  ${update} -skipfailures  -nlt CONVERT_TO_LINEAR 
+      ogr2ogr -f "PostgreSQL" -append  ${update} -skipfailures \
          PG:"dbname=${DBNAME} host=localhost port=5432 ${OGRPGUSER}" -a_srs EPSG:$EPSG ${nasdatei} 2>> $errprot
       nasresult=$?
@@ -192,5 +232,5 @@
         echo -e "\e[32m${nasdatei} verarbeitet\e[0m" # grÃŒn
       else
-        echo -e "\e[31m${nasdatei} fehlerhaft\e[0m" # rot
+        echo -e "\e[31m${nasdatei} fehlerhaft\e[0m"  # rot
       fi
 
@@ -199,6 +239,6 @@
   done # Ende Ordner
   rm ../temp/*.xml
-  echo " "
-  echo "** Ende Konvertierung Ordner ${ORDNER}"
+  echo " 
+  ** Ende Konvertierung Ordner ${ORDNER}"
 
   # Durch EinfÃŒgen in Tabelle 'delete' werden LÃ¶schungen und Aktualisierungen anderer Tabellen getriggert
@@ -209,5 +249,5 @@
   psql $con -c 'SELECT context, COUNT(featureid) AS anzahl FROM "delete" GROUP BY context ORDER BY context;' 
 
-  # Kontext-Funktionen zÃ€hlen und dei Anzahl als Metadaten zum aktuellen Konvertierungslauf speichern
+  # Kontext-Funktionen zÃ€hlen und die Anzahl als Metadaten zum aktuellen Konvertierungslauf speichern
   psql $con -c "
    UPDATE import SET anz_delete=(SELECT count(*) FROM \"delete\" WHERE context='delete') 
@@ -222,5 +262,5 @@
   then
     echo "** KEIN Post-Processing - Dies spaeter nachholen."
-    # Dies kann sinnvoll sein, wenn mehrere kleine Aktualisierungen hintereinander auf einem grossen Bestand laufen
+    # Dies kann sinnvoll sein, wenn mehrere kleine Aktualisierungen hintereinander auf einem grossen Bestand laufen.
     # Der Aufwand fÃŒr das Post-Processing ist dann nur bei der LETZTEN Aktualisierung notwendig.
   else
@@ -230,8 +270,20 @@
     (cd $POSTNAS_HOME; psql $con -f nutzungsart_laden.sql)
  
-    echo "** - Fluren, Gemarkungen, Gemeinden und StraÃen-Namen neu Laden (Script pp_laden.sql):"
-    (cd $POSTNAS_HOME; psql $con -f pp_laden.sql)
+	echo "** - StraÃen-Namen neu Laden (Script pp_laden.sql):"
+	(cd $POSTNAS_HOME; psql $con -f pp_laden.sql)
+
+	if [ $UPD == "e" ]
+	then
+		# Erstladen: Gebiete erstmalig befuellen.
+		echo "** - Fluren, Gemarkungen, Gemeinden neu Laden (Script pp_gebiete.sql):"
+		(cd $POSTNAS_HOME; psql $con -f pp_gebiete.sql)
+	else
+		# Aktualisierung: Gebiete brauchen nicht bei jeder Aktualisierung neu generiert werden. Die aendern sich kaum. 
+		echo "Die Uebersichten fÃŒr Flur, Gemarkung und Gemeinde werden nicht neu generiert. Bei Bedarf das SQL-Script pp_gebiete.sql ausfuehren."
+	fi
   fi
 
   echo "Das Fehler-Protokoll wurde ausgegeben in die Datei $errprot"
-  echo "** ENDE PostNAS 0.8-Konvertierung  DB='$DBNAME'  Ordner='$ORDNER' "
+  echo "
+  ** ENDE PostNAS 0.8-Konvertierung  DB='$DBNAME'  Ordner='$ORDNER'
+  "
Index: /trunk/import/alkis_PostNAS_schema.sql
===================================================================
--- /trunk/import/alkis_PostNAS_schema.sql	(revision 353)
+++ /trunk/import/alkis_PostNAS_schema.sql	(revision 354)
@@ -62,5 +62,7 @@
 -- 2014-10-14 FJ "ax_wirtschaftlicheeinheit.anlass" von integer zu character. Sonst Trigger-Fehler bei "delete".
 
--- 2015-02-18 FJ "ax_gelaendekante.wkb_geometry" von 'LINESTRING' nach 'GEOMETRY' 
+-- 2015-02-18 FJ "ax_gelaendekante.wkb_geometry" von 'LINESTRING' nach 'GEOMETRY'
+
+-- 2015-05-26 FJ Spalte "gdalvers" in Tabelle "import"
 
 --  Dies Schema kann NICHT mehr mit der gdal-Version 1.9 verwendet werden.
@@ -109,4 +111,5 @@
   verzeichnis text,
   importart text,
+  gdalvers text,
   anz_delete integer,
   anz_update integer,
@@ -114,4 +117,7 @@
   CONSTRAINT import_pk PRIMARY KEY (id)
 );
+
+-- Spalte nachtragen:
+-- ALTER TABLE import ADD COLUMN gdalvers text;
 
 CREATE UNIQUE INDEX import_id ON import USING btree (id);
@@ -122,4 +128,5 @@
 COMMENT ON COLUMN import.verzeichnis IS 'Ort von dem die NAS-Dateien verarbeitet wurden.';
 COMMENT ON COLUMN import.importart   IS 'Modus des Konverter-Laufes: e="Erstladen" oder a="NBA-Aktualisierung"';
+COMMENT ON COLUMN import.gdalvers    IS 'GDAL-Programmversion mit der der Import erfolgte.';
 
 COMMENT ON COLUMN import.anz_delete  IS 'Anzahl von delete-Funktionen in der delete-Tabelle nach Ende eines Konvertierungs-Laufes';
Index: /trunk/mapproxy/projects/alkisrlp.yaml
===================================================================
--- /trunk/mapproxy/projects/alkisrlp.yaml	(revision 353)
+++ /trunk/mapproxy/projects/alkisrlp.yaml	(revision 354)
@@ -1,9 +1,16 @@
 base: ../base.yaml
 
-# 2012-08-28 neue GDI: MapProxy 1.4
-# 2013-01-24 neue ALKIS-grids in base.yaml, Verschiebung level +1
-# 2013-03-05 neues Mapfile "_a.map", Layernamen anpassen, Mapserver 6.2
+# 2012-05-31 neue GDI: MapProxy 1.4
+# 2012-10-24 ALKIS-Version 07
+# 2012-11-14 WMS von neuer GDI
+# 2012-11-15 map statt xml-Wrapper
+# 2013-01-23 neue ALKIS-grids in base.yaml, Verschiebung level +1
+# 2013-03-08 neues Mapfile, Layernamen anpassen, Mapserver 6.2
+# 2013-09-30 Neues Grid-Level 125 in base, hier Minscale von 100 auf 50 (fuer _4-Druck)
+# 2014-01-06 URL umst. von mapserv62 auf mapserv6, dies dann auf 6.4.1 linken
+# 2014-01-09 2 neue Layer: "sonstiges bauwerk oder sonstigeeinrichtung (_l)"
+# 2014-09-09 PostNAS-Vers 08
 
-# http://map.krz.de/mapproxy/alkisrlp/service?REQUEST=GetCapabilities&SERVICE=WMS&VERSION=1.1.1
+# http://mapserver.krz.de/mapproxy/alkisrlp/service?REQUEST=GetCapabilities&SERVICE=WMS&VERSION=1.1.1
 services:
   demo:
@@ -16,5 +23,5 @@
     md:
       title: "c: ALKIS"
-      abstract: Liegenschaftskataster ALKIS Demokarte RLP Mustermonzel. Konverter PostNAS 0.7, Ãber MapProxy 1.4 Cache
+      abstract: Liegenschaftskataster ALKIS Demokarte RLP Mustermonzel. Konverter PostNAS 0.8, Ãber MapProxy Cache
       online_resource: http://mapproxy.org/
       contact:
@@ -36,10 +43,10 @@
     title: Nutzungsarten
     sources: [alkisrlp_nua_c]
-    min_scale: 100
+    min_scale: 50
     max_scale: 35000
   - name: alkis_lieka
     title: ALKIS
     sources: [alkisrlp_lie_c]
-    min_scale: 100
+    min_scale: 50
     max_scale: 35000
   - name: alkis_bezirke
@@ -53,5 +60,6 @@
   alkisrlp_lie_c:
     grids: [alkis_rlp_lie_grid]
-    sources: ["alkis:ax_gebaeude_umr,ax_bauteil,ax_besonderegebaeudelinie,ag_t_gebaeude,ag_l_gebaeude,ax_flurstueck,ax_besondereflurstuecksgrenze,ag_l_flurstueck,sk2004_zuordnungspfeil_spitze,ag_t_flurstueck,ag_p_flurstueck,ax_punktortta,ap_pto_stra,ap_pto","alkis_fi:ax_flurstueck"]
+    sources: ["alkis:ax_gebaeude_umr,ax_bauteil,ax_besonderegebaeudelinie,ag_t_gebaeude,ax_sonstigesbauwerkodersonstigeeinrichtung,ax_sonstigesbauwerkodersonstigeeinrichtung_l,ax_flurstueck,ax_besondereflurstuecksgrenze,ag_l_flurstueck,sk2004_zuordnungspfeil_spitze,ag_t_flurstueck,ag_p_flurstueck,ax_punktortta,ap_pto_stra,ap_pto","alkis_fi:ax_flurstueck"]
+    link_single_color_images: true
   alkisrlp_nua_c:
     grids: [alkis_rlp_nua_grid]
@@ -67,11 +75,12 @@
     wms_opts:
       legendgraphic: true
-    # rlp, eng um das Testgebiet:
+    # rlp
     coverage:
+      # eng um das Testgebiet:
       bbox: "349550,5529460,355140,5532210"
       bbox_srs: "EPSG:25832"
     req:
-      url: http://10.0.100.72/cgi-bin/mapserv62?
-      map: /opt/gdi/alkis07/alkis07rlpa.map
+      url: http://ows.krz.de/cgi-bin/mapserv6?
+      map: /opt/gdi/alkis08/alkis08rlp.map
       transparent: true
       format: image/png
@@ -83,6 +92,6 @@
       map: false
     req:
-      url: http://10.0.100.72/cgi-bin/mapserv62?
-      map: /opt/gdi/alkis07/alkis07rlpa.map
+      url: http://ows.krz.de/cgi-bin/mapserv6?
+      map: /opt/gdi/alkis08/alkis08rlp.map
   debug:
     type: debug
Index: /trunk/mapproxy/seed/alkisrlp.yaml
===================================================================
--- /trunk/mapproxy/seed/alkisrlp.yaml	(revision 353)
+++ /trunk/mapproxy/seed/alkisrlp.yaml	(revision 354)
@@ -1,77 +1,76 @@
-# MapProxy-Seeds und -Cleanups fuer ALKIS Mustermonzel
-# TESTBESTAND
-
+# MapProxy-Seeds und -Cleanups fuer TESTBESTAND ALKIS Mustermonzel - krz-Netz
+# Siehe identische Version fuer Internet auf Server skrzmapweb02
 # Stand
-#  2011-09-19
-
-# alkis_grid:     
-# 0=10.000  1=5.000  2=2.500  3=1.750  4=1.000  5=750  6=500  7=250
-
-# alkis_nua_grid:
-# 0=10.000  1=5.000  2=2.500  3=1.000  4=500  5=250
+# 2011-09-06 seed.yaml aufgeteilt
+# 2013-01-23 grid in base.yaml geaendert, level verschiebt sich um 1
+# 2013-09-30 neuer Level 7 in NUA clean
+# 2015-09-28 Korrektur: "grids: [alkis_rlp_lie_grid]" statt "grids: [alkis_rlp_grid]"
 
 seeds:
-
-  # RLP Demo Mustermonzel
-  alkisrlp:
-    caches: [alkisrlp_c]
-    grids: [alkis_rlp_grid]
+  # Lieka 5000-1000 generieren
+  alkisrlp_lie:
+    caches: [alkisrlp_lie_c]
+    grids: [alkis_rlp_lie_grid]
     coverages: [alkis_rlp_demo]
     levels:
       from: 0
-      to: 6
+      to: 7
     refresh_before:
       days: 2
-
-  alkisrlp_nutzg:
-    caches: [alkisrlp_nutzg_c]
+  # Nutzung generieren
+  alkisrlp_nua:
+    caches: [alkisrlp_nua_c]
     grids: [alkis_rlp_nua_grid]
     coverages: [alkis_rlp_demo]
     levels:
       from: 0
-      to: 4
+      to: 5
     refresh_before:
       days: 2
 
 cleanups:
-
   # grosse Masstaebe 1:1.750-1:250 aufraeumen
   alkisrlp_g:
-    caches: [alkisrlp_c]
-    grids: [alkis_rlp_grid]
-    #coverages: [alkis_rlp_demo]
+    caches: [alkisrlp_lie_c]
+    grids: [alkis_rlp_lie_grid]
+    coverages: [alkis_rlp_demo]
     remove_before:
       days: 2
     levels:
-      from: 3
-      to: 7
-
-  # kleine Masstaebe 1:10.000-2.500 aufraeumen
+      from: 4
+      to: 8
+  # kleine Masstaebe 1:25.000-2.500 aufraeumen
   alkisrlp_k:
-    caches: [alkisrlp_c]
-    grids: [alkis_rlp_grid]
-    #coverages: [alkis_rlp_demo]
+    caches: [alkisrlp_lie_c]
+    grids: [alkis_rlp_lie_grid]
+    coverages: [alkis_rlp_demo]
     remove_before:
       days: 2
     levels:
       from: 0
-      to: 2
-
+      to: 3
   # Nutzung aufraeumen
   alkisrlp_n:
-    caches: [alkisrlp_nutzg_c]
+    caches: [alkisrlp_nua_c]
     grids: [alkis_rlp_nua_grid]
-    #coverages: [alkis_rlp_demo]
+    coverages: [alkis_rlp_demo]
     remove_before:
       days: 2
     levels:
       from: 0
+      to: 7
+  # Bezirke aufraeumen
+  alkisrlp_b:
+    caches: [alkisrlp_bez_c]
+    grids: [alkis_rlp_bez_grid]
+    coverages: [alkis_rlp_demo]
+    remove_before:
+      days: 20
+    levels:
+      from: 0
       to: 5
 
-
 coverages:
-
   alkis_rlp_demo:
-    #box: "349000,5527000,356000,5536000" # = grid
     # Ausschnitt eng um das Testgebiet:
     bbox: "349550,5529460,355140,5532210"
Index: /trunk/mapproxy/script/cleanup_alkisrlp.sh
===================================================================
--- /trunk/mapproxy/script/cleanup_alkisrlp.sh	(revision 354)
+++ /trunk/mapproxy/script/cleanup_alkisrlp.sh	(revision 354)
@@ -0,0 +1,22 @@
+#!/bin/bash
+# MapProxy-Kacheln aufraeumen
+# 2014-01-09
+# 2015-06-11 Update MapProxy 1.4 auf 1.7, Parameter --quiet
+# 2015-09-28 kein -cleanup "alkisrlp_m" - Task
+# 2015-10-27 Bezirke _b werden nicht mehr bei jedem Lauf aktualisiert.
+#            Grund: im Post-Processing laeuft das nur noch bei Bedarf.
+
+# Doku: http://mapproxy.org/docs/1.8.0/seed.html
+
+echo "MapProxy cleanup ALKIS DEMO Mustermonzel
+ ** Bitte ausfuehren als User www-data"
+
+mapproxy-seed --quiet --concurrency=1 \
+	--proxy-conf="/opt/gdi/mpx/projects/alkisrlp.yaml" \
+	--seed-conf="/opt/gdi/mpx/seed/alkisrlp.yaml" \
+	--cleanup  alkisrlp_g,alkisrlp_k,alkisrlp_n
+
+# --dry-run
+
+# Gross, Mittel, Klein, Nutzung,
+# Bezirke: ,alkisrlp_b 
Index: /trunk/mapproxy/script/seed_alkisrlp.sh
===================================================================
--- /trunk/mapproxy/script/seed_alkisrlp.sh	(revision 353)
+++ /trunk/mapproxy/script/seed_alkisrlp.sh	(revision 354)
@@ -1,18 +1,23 @@
 #!/bin/bash
 # MapProxy-Kacheln auf Vorrat generieren
-# 2011-09-06
+# 2013-01-24
+
 # Doku: http://mapproxy.org/docs/1.1.1/seed.html
 # Ausfuehren mit "sudo su www-data"
+
 echo "MapProxy seeding ALKIS DEMO Mustermonzel"
 echo "** Bitte ausfuehren als User www-data"
+
+# Script im gleichen Ordner wie dieses
+./cleanup_alkisrlp.sh
+
+# Dann mittleren MaÃstabsbereich fuellen
+mapproxy-seed --proxy-conf=/opt/gdi/mpx/projects/alkisrlp.yaml  \
+              --seed-conf=/opt/gdi/mpx/seed/alkisrlp.yaml  \
+              --concurrency 1  \
+              --seed  alkisrlp_lie 
 #
-  mapproxy-seed --proxy-conf=/data/mapproxy/projects/alkisrlp.yaml  \
-                --seed-conf=/data/mapproxy/seed/alkisrlp.yaml  \
-                --concurrency 1  \
-                --seed  alkisrlp 
-#
-  mapproxy-seed --proxy-conf=/data/mapproxy/projects/alkisrlp.yaml  \
-                --seed-conf=/data/mapproxy/seed/alkisrlp.yaml  \
-                --concurrency 1  \
-                --seed  alkisrlp_nutzg 
-#
+mapproxy-seed --proxy-conf=/opt/gdi/mpx/projects/alkisrlp.yaml  \
+              --seed-conf=/opt/gdi/mpx/seed/alkisrlp.yaml  \
+              --concurrency 1  \
+              --seed  alkisrlp_nua 
